Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common.math
Class Measurement

    java.lang.Object
      lbg.common.math.Measurement

Direct Known Subclasses:
  DescriptiveMeasurement, SummarizedMeasurement

    public abstract class Measurement

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`protected` | `Measurement(java.lang.String label)`

Method Summary
`void` | `addObservation(double x_i)`
`abstract void` | `addObservation(double x_i, java.lang.String tag)`
`static Measurement` | `createMetaMeasurement(java.lang.String list_of_measurements)`
`java.lang.String` | `getLabel()`
`abstract double` | `getMax()`
`abstract java.lang.String` | `getMaxTag()`
`abstract double` | `getMean()`
`abstract double` | `getMin()`
`abstract java.lang.String` | `getMinTag()`
`long` | `getN()`
`abstract long` | `getObservations()`
`abstract double` | `getSquaredSum()`
`abstract double` | `getStandardDeviation()`
`abstract double` | `getSum()`
`static void` | `main(java.lang.String[] args)`
`static void` | `test_main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Measurement

    protected Measurement(java.lang.String label)
                   throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addObservation

    public void addObservation(double x_i)
                        throws GridException

  Throws:
    `GridException`

### addObservation

    public abstract void addObservation(double x_i,
                                        java.lang.String tag)
                                 throws GridException

  Throws:
    `GridException`

### getLabel

    public java.lang.String getLabel()

### getN

    public long getN()

### getObservations

    public abstract long getObservations()

### getSum

    public abstract double getSum()

### getSquaredSum

    public abstract double getSquaredSum()

### getMin

    public abstract double getMin()

### getMax

    public abstract double getMax()

### getMinTag

    public abstract java.lang.String getMinTag()

### getMaxTag

    public abstract java.lang.String getMaxTag()

### getMean

    public abstract double getMean()

### getStandardDeviation

    public abstract double getStandardDeviation()

### createMetaMeasurement

    public static Measurement createMetaMeasurement(java.lang.String list_of_measurements)
                                             throws GridException

  Throws:
    `GridException`

### test_main

    public static void test_main(java.lang.String[] args)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.